%% -utf-8 -*-
%% 12:07 PM Thursday, January 19, 2023
\version "2.24.0"
#(set-default-paper-size "letter")
#(set-global-staff-size 20)

\header {
 dedication = "Wordless Poem"
 title = " Cloud Spotting "
 %%subtitle = #(string-append "LilyPond version " (lilypond-version))
 subtitle = " Between longa and breve in Japan "
 subsubtitle = \markup{\center-column {
                   "soprano; C clef on 1st line,       alto; C clef on 3rd line."
                   "       bass; F clef on 4th line,    tenor; C clef on 4th line."}}
 composer = \markup{ \line {\italic "Yukio Yoshida"}}
 arranger = "Jun. 10, JST 2009"
 poet = " "
 opus = "Op.40 "
 meter = "Largo"
 copyright = "public Domain"
%% tagline = " "
}


%%%%%%%%% soprano part %%%%%%%%%%%%%%%%%%%%%
soprano = {
%% 1-3
     \partial 4 r4^\ppp |
     \autoBeamOff
     e'\longa ~ | e'1 f'1 g'2 f'1 e'2 ~ | e'\breve f' |
\break
%% 4-6
     g'\longa | a' | bes'\breve c'' |
\break
%% 7-10
     d''\longa | r2 f'8 a' c'' e'' r4. f'8 a' c'' e'' g'' ~ g''\breve |
     a''\longa | r\longa
\break
%% 11-12
     a''1 f'' \once \override TextScript.avoid-slur = #'inside
              \once \override TextScript.outside-staff-priority = ##f
              \once \override Slur.thickness = #4.0
     f'\breve^(^\markup{\hspace #12 \lower #2 \draw-circle #.5 #0 ##t} |
     f'\breve) c'\breve^\fermata |
\break
%% 13-15
     r\breve r4. f'8 ~
     \pitchedTrill f'2\startTrillSpan eis'
     \pitchedTrill f''1\stopTrillSpan\startTrillSpan gis''|
     a''\longa\stopTrillSpan |
     f''1 c'' bes' f' |
\break
%% 16-18
     e''2 bes'1 d''2 a'1 \times 1/3 { e' d' c' } |
     d''4 a'2 c''4 f'2 bes'2 e'1 \times 1/3 { g' e' c' } |
     \times 1/3 { e' d' c' } \times 1/3 { g' e' c' }
     \times 1/3 { bes' f' c' } \times 1/3 { d'' g' c' } |
\break
%% 19-23
     f''\breve a''\breve ~ | a''\longa | g''\breve a''\breve ~ |
     a''\longa ~ | a''\longa^\fermata |
\break
%% 24-28
     c''\longa | c'\longa | bes'\breve c' | bes'\longa^\fermata ~ |
     bes'\longa^\fermata \bar "|."
}

%% sopranoL = \lyricmode { }
sopranoM = {
     \partial 4 r4^\ppp |
     \autoBeamOff
     e'\longa ~ | e'1 f'1 g'2 f'1 e'2 ~ | e'\breve f' |
\break
     g'\longa | a' | bes'\breve c'' |
\break
     d''\longa | r2 f'8 a' c'' e'' r4. f'8 a' c'' e'' g'' ~ g''\breve |
     a''\longa | r\longa
\break
     a''1 f'' f'\breve ~ |
     f'\breve) c'\breve^\fermata |
\break
     r\breve r4. f'8 ~
     \pitchedTrill f'2\startTrillSpan eis'
     \pitchedTrill f''1\stopTrillSpan\startTrillSpan gis''|
     a''\longa\stopTrillSpan |
     f''1 c'' bes' f' |
\break
     e''2 bes'1 d''2 a'1 \times 1/3 { e' d' c' } |
     d''4 a'2 c''4 f'2 bes'2 e'1 \times 1/3 { g' e' c' } |
     \times 1/3 { e' d' c' } \times 1/3 { g' e' c' }
     \times 1/3 { bes' f' c' } \times 1/3 { d'' g' c' } |
\break
     f''\breve a''\breve ~ | a''\longa | g''\breve a''\breve ~ |
     a''\longa ~ | a''\longa |
\break
     c''\longa | c'\longa | bes'\breve c' | bes'\longa^\fermata ~ |
     bes'\longa^\fermata \bar "|."
}

%%%%%%%%%% alto part %%%%%%%%%%%%%%%%%%%%%%
alto = {
%% 1-3
     \partial 4 r4^\ppp |
     \autoBeamOff
     a\longa ~ | a1 bes1 c'2 d' c'4 bes4 a2 ~ | a\breve bes |
\break
%% 4-6
     c'\longa | d'2 e' f' g' a'\breve | e' f' |
\break
%% 7-10
     g'\longa | c'\breve r\breve | r\longa |
     d''2 c''8 bes' a' g'2 f'8 e'16 d' c' bes r4. a2.. ~ a1 |
\break
%% 11-12
     c''\breve \once \override TextScript.avoid-slur = #'inside
               \once \override TextScript.outside-staff-priority = ##f
               \once \override Slur.thickness = #4.0
     c'\breve^(^\markup{\hspace #12 \lower #2 \draw-circle #.5 #0 ##t} |
     c'\breve) f\breve^\fermata |
\break
%% 13-15
     r\breve r4 \once \override Glissando.style = #'zigzag g2.\glissando
     \pitchedTrill g'1\startTrillSpan ais' |
     d''\longa\stopTrillSpan | g'\breve c' |
\break
%% 16-18
     f'\breve bes | e' a | bes1 d'1. e' |
\break
%% 19-23
     r\longa | r\longa | r\longa | f'\breve a'~ | a'\longa^\fermata |
\break
%% 24-28
     c'\breve r\breve | c'\longa |  bes'\breve c' | bes'\longa^\fermata ~ |
     bes'\longa^\fermata \bar "|."
}

%% altoL = \lyricmode { }
altoM = {
     \partial 4 r4\ppp |
     \autoBeamOff
    a\longa ~ | a1 bes1 c'2 d' c'4 bes4 a2 ~ | a\breve bes |
\break
     c'\longa | d'2 e' f' g' a'\breve | e' f' |
\break
     g'\longa |  c'\breve r\breve | r\longa |
     d''2 c''8 bes' a' g'2 f'8 e'16 d' c' bes r4. a2.. ~ a1 |
\break
     c''\breve c'\breve ~ |
     c'\breve f\breve^\fermata |
\break
     r\breve r4 \once \override Glissando.style = #'zigzag g2.\glissando
     \pitchedTrill g'1\startTrillSpan ais' |
     d''\longa\stopTrillSpan | g'\breve c' |
\break
     f'\breve bes | e' a | bes1 d'1. e' |
\break
     r\longa * 3 | f'\breve a'~ | a'\longa^\fermata |
\break
     c'\breve r\breve | c'\longa |  bes'\breve c' | bes'\longa^\fermata ~ |
     bes'\longa^\fermata \bar "|."
}

%%%%%%%% tenor part %%%%%%%%%%%%%%%%%%%%%%%
tenor = {
%% 1-3
     \partial 4 r4^\ppp |
     \autoBeamOff
     e'\longa | r\breve g'2 f'1 e'4 d' | c'\breve bes |
\break
%% 4-6
     a2 bes c' d' e'\breve | g'\longa | f'2 e' r d' c' r bes a ~ |
\break
%% 7-10
     a\longa | c'\breve r\breve | r\longa | f1 bes e' c'4 f' d' g' |
\break
%% 11-12
     a'1 f' \once \override TextScript.avoid-slur = #'inside
                  \once \override TextScript.outside-staff-priority = ##f
                  \once \override Slur.thickness = #4.0
     f\breve^(^\markup{\hspace #12 \lower #2 \draw-circle #.5 #0 ##t} |
     f\breve) c'\breve^\fermata |
\break
%% 13-15
     r\breve r8 \once \override Glissando.style = #'zigzag g2..\glissando
     \pitchedTrill g'1\startTrillSpan fes' | a'\longa\stopTrillSpan |
     d'\breve g |
\break
%% 16-18
     c'\breve f | bes e | f1. a1 c'1. |
\break
%% 19-23
     r\longa | r\longa | r\longa | f\breve a\breve ~ | a\longa^\fermata |
\break
%% 24-28
     c'\breve r\breve | c'\longa | bes\breve c' | bes\longa^\fermata ~ |
     bes\longa^\fermata \bar "|."
}

%%tenorL = \lyricmode { }
tenorM = {
     \partial 4 r4\ppp |
     \autoBeamOff
     e'\longa | r\breve g'2 f'1 e'4 d' | c'\breve bes |
\break
     a2 bes c' d' e'\breve | g'\longa | f'2 e' r d' c' r bes a ~ |
\break
     a\longa | c'\breve r\breve | r\longa | f1 bes e' c'4 f' d' g' |
\break
     a'1 f' f\breve ~ |
     f\breve c'\breve^\fermata |
\break
     r\breve r8 \once \override Glissando.style = #'zigzag g2..\glissando
     \pitchedTrill g'1\startTrillSpan fes' | a'\longa\stopTrillSpan |
     d'\breve g\breve |
\break
     c'\breve f | bes e | f1. a1 c'1. |
\break
     r\longa * 3 | f\breve a\breve ~ | a\longa^\fermata |
\break
     c'\breve r\breve | c'\longa | bes\breve c' | bes\longa^\fermata ~ |
     bes^\fermata \bar "|."
}

%%%%%%% bass; part %%%%%%%%%%%%%%%%
bass = {
%% 1-3
     \partial 4 r4^\ppp |
     \autoBeamOff
     e\longa | c\breve e | r\longa |
\break
%% 4-6
     c\breve e | c d2 c bes, c ~ | c\breve bes, ~ |
\break
%% 7-10
     bes,\breve c | bes,2 c e1 g1 f2 g2 | a\longa | r\longa |
\break
%% 11-12
     c'\breve \once \override TextScript.avoid-slur = #'inside
              \once \override TextScript.outside-staff-priority = ##f
              \once \override Slur.thickness = #4.0
     c\breve^(^\markup{\hspace #12 \lower #2 \draw-circle #.5 #0 ##t} |
     c\breve) f\breve^\fermata |
\break
%% 13-15
     r\breve \once \override Glissando.style = #'zigzag c1\glissando
     \pitchedTrill c'1\startTrillSpan bes | d'\longa\stopTrillSpan |
     g\breve c |
\break
%% 16-18
     f\breve bes, | e a, | f1 c1. bes, |
\break
%% 19-23
     r\longa | r\longa | r\longa | f,\breve a,\breve^~ | a,\longa^\fermata
\break
%% 24-28
    c\longa  | bes,\breve c\breve^~ | c\breve bes,\breve^~ | bes,\longa^\fermata |
    bes\longa^\fermata \bar "|."
}

%%bassL = \lyricmode {}
bassM = {
     \partial 4 r4^\ppp |
     \autoBeamOff
     e\longa | c\breve e | r\longa |
\break
     c\breve e | c d2 c bes, c ~ | c\breve bes, ~ |
\break
     bes,\breve c | bes,2 c e1 g1 f2 g2 | a\longa | r\longa |
\break
     c'\breve c\breve ~ |
     c\breve f\breve^\fermata |
\break
     r\breve \once \override Glissando.style = #'zigzag c1\glissando
     \pitchedTrill c'1\startTrillSpan bes | d'\longa\stopTrillSpan |
     g\breve c\breve |
\break
     f\breve bes, | e a, |  f1 c1. bes, |
\break
     r\longa * 3 | f,\breve a,\breve ~ | a,\longa |
\break
    c\longa  | bes,\breve c\breve^~ | c\breve bes,\breve^~ | bes,\longa^\fermata |
    bes\longa^\fermata \bar "|."
}

%%%%%%%%%% midi music code part %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%% get sheet music ---------------------------------------------------------------
\score {
         <<
           \context ChoirStaff = "FourPartStaffaddchorus" <<
           \new Voice = "soprano" { \clef soprano \key f\major \time 4/1
                        \set Staff.instrumentName = "soprano" \soprano }
                        %%\new Lyrics = "mainSL" \lyricsto "soprano" { \sopranoL }

           \new Voice = "alto" { \clef alto \key f\major \time 4/1
                        \set Staff.instrumentName = "alto   " \alto }
                        %%\new Lyrics = "mainAL" \lyricsto "alto" { \altoL }

           \new Voice = "tenor" { \clef tenor \key f\major \time 4/1
                        \set Staff.instrumentName = "tenor  " \tenor }
                        %%\new Lyrics = "mainTL" \lyricsto "tenor" { \tenorL }

           \new Voice = "bass" { \clef bass \key f\major \time 4/1
                        \set Staff.instrumentName = "bass   " \bass }
                        %%\new Lyrics = "mainBL" \lyricsto "bass" { \bassL }

                                            >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key \major \time
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key \major \time
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>

         >>

  \layout {
            \context { \Staff \RemoveEmptyStaves }
           }
}

%% get midi music ----------------------------------------------------------------
\score {
         <<
           \new Staff { \clef soprano \key f\major \time 4/1 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \sopranoM }

           \new Staff { \clef alto \key f\major \time 4/1 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \altoM }

           \new Staff { \clef tenor \key f\major \time 4/1 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \tenorM }

           \new Staff { \clef bass \key f\major \time 4/1 \tempo 4 = 46
                        \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \bassM }

           %%\new Staff { \clef treble \key \major \time \tempo 4 =
           %%             \set Staff.midiInstrument = "acoustic grand"
           %%                                \unfoldRepeats       \pianoUPm }
           %%\new Staff { \clef bass \key \major \time \tempo 4 =
           %%             \set Staff.instrumentName = "acoustic grand"
           %%                                \unfoldRepeats     \pianoDownm }
         >>

   \midi { tempoWholesPerMinute = #(ly:make-moment 46 4) }
}
